## org.apache.lucene.wordnet
Class SynLookup

    java.lang.Object
      org.apache.lucene.wordnet.SynLookup

    public class SynLookup

extends java.lang.Object

Test program to look up synonyms.

Constructor Summary
`SynLookup()`

Method Summary
`static org.apache.lucene.search.Query` `expand(java.lang.String query, org.apache.lucene.search.Searcher syns, org.apache.lucene.analysis.Analyzer a, java.lang.String field, float boost)` Perform synonym expansion on a query.
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynLookup

    public SynLookup()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### expand

    public static org.apache.lucene.search.Query expand(java.lang.String query,
                                                        org.apache.lucene.search.Searcher syns,
                                                        org.apache.lucene.analysis.Analyzer a,
                                                        java.lang.String field,
                                                        float boost)
                                                 throws java.io.IOException

  Perform synonym expansion on a query.

  Parameters:
    `query` -
    `syns` -
    `a` -
    `field` -
    `boost` -
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.